# MESH

## Address

* Polygon Mainnet : [0x82362ec182db3cf7829014bc61e9be8a2e82868a ](https://polygonscan.com/address/0x82362ec182db3cf7829014bc61e9be8a2e82868a)

## Events, Read-Only Functions, and State-Changing Functions

{% tabs %}
{% tab title="Events" %}

## Events

**Transfer**

```solidity
event Transfer(address indexed from, address indexed to, uint amount);
```

* Event for the movement and burning of MESH tokens
* A ERC-20 Standard Event

**Approval**

```solidity
event Approval(address indexed holder, address indexed spender, uint amount);
```

* Event for MESH token approval
* A ERC-20 Standard Event

**RefixMining**

```solidity
event RefixMining(uint blockNumber, uint newBlockAmount, uint newHalfLife);
```

* Event for MESH mining option change
* Events that can occur depending on the block creation time of the polygon network
  {% endtab %}

{% tab title="Read-Only Functions" %}

## Read-Only Functions

#### name

* Meshswap Protocol

#### symbol

* MESH

#### decimals

* 18

#### totalSupply

* Amount of MESH distributed so far
* Max Supply = 126144000 + 1500000 - Burn MESH

#### balanceOf

* The amount of MESH held in each address

#### allowance

* Status of approval to spender for each address

#### owner

* Governance Contract Address

#### miningAmount

* The total mining amount
* This cannot be changed after a contract is deployed

#### halfLife

* The block unit that proceeds with halving
* This cannot be changed after a contract is deployed

#### minableBlock

* The block number that starts mining

#### teamRatio

* The ratio of the mined amount given to the developement team.

#### teamWallet

* The address to which the development team can claim their reward

#### teamAward

* The team reward amount that has already been claimed

#### mined

```solidity
function mined() public view returns (uint) 
```

* Returns the MESH amount mined so far
* This amount includes the quantity already claimed and the quantity to be claimed
* The teamAward quantity is exempted from this amount

{% endtab %}

{% tab title="State-Changing Functions" %}

#### transfer

```solidity
function transfer(address _to, uint _value) public returns (bool)
```

* ERC-20 Standard
* Method to transfer MESH tokens

#### transferFrom

```solidity
function transferFrom(address _from, address _to, uint _value) public returns (bool)
```

* ERC-20 Standard
* Method to transfer tokens on behalf of the approved wallet

#### approve

```solidity
function approve(address _spender, uint _value) public returns (bool)
```

* ERC-20 Standard
* Method to approve a transfer as much as value to spender

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.meshswap.fi/developers/contract/mesh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
